<%@ page import="q53_util.*" session="false" %>
<%  
//deshabilitar la cache
response.setHeader("Cache-Control", "no-cache"); 
response.addHeader( "pragma", "no-cache");
response.setDateHeader("Expires", -1);
//FIN deshabilitar la cache
// recoger el cookie que contiene el valor de mostrar los hijos y las oficinas hijo
Cookie[] cookies=request.getCookies();

String q53_artus="";
String q53_artuspw="";
String q53_folletospw="";
String q53_perfil="";
String q53_usuario="";
String q53_oficina="";
String q53_idioma="";
String q53_destino="";
if(cookies!=null){
	for(int i=0;i<cookies.length;i++){
		//q53LogEstadisticas.printLog("nombre de la cookie->"+cookies[i].getName()+" valor de la cookie->"+cookies[i].getValue());
		if(cookies[i].getName().equals("q53_artus")){
			q53_artus = cookies[i].getValue();
		} else if(cookies[i].getName().equals("q53_artuspw")){
			q53_artuspw = cookies[i].getValue();
		} else if(cookies[i].getName().equals("q53_password")){
			q53_folletospw = cookies[i].getValue();
		} else if(cookies[i].getName().equals("q53_perfil")){
			q53_perfil = cookies[i].getValue();
		} else if(cookies[i].getName().equals("q53_usuario")){
			q53_usuario = cookies[i].getValue();
		} else if(cookies[i].getName().equals("q53_oficina")){
			q53_oficina = cookies[i].getValue();
		} else if(cookies[i].getName().equals("q53_idioma")){
			q53_idioma = cookies[i].getValue();
		} else if(cookies[i].getName().equals("q53_destino")){
			q53_destino = cookies[i].getValue();
		}
	}
}

// Ahora hay una nueva url para folletos
//String url_msgitourbask = "http://"+q53Util.getQ53Property("host_msgitourbask")+"/msgitourbask/Q53F_Solicitudes.apl";
String url_msgitourbask = q53Util.getQ53Property("URL_Folletos_Login");
String url_artus = q53Util.getQ53Property("url_artus");
String url = "";
String password = "";
String idioma_folletos = "es";
if (q53_destino.equals(q53Constantes.DESTINO_FOLLETOS)){
	url = url_msgitourbask;
	password = q53_folletospw;
	if (q53_idioma.equalsIgnoreCase(q53Constantes.IDIOMA_EUS))
		idioma_folletos = "eu";
} else if (q53_destino.equals(q53Constantes.DESTINO_ESTADISTICAS)){
	url = url_artus;
	password = q53_artuspw;
}
String repo_artus= q53Util.getQ53Property("repositorioArtus");
String perfilUser="NO";
String perfilCoord="NO";
String perfilAdmin="NO";
if (q53Util.isPerfil(q53_perfil, q53Constantes.PERFIL_USRO)) {
    perfilUser = "SI";
}
if (q53Util.isPerfil(q53_perfil, q53Constantes.PERFIL_COOR)) {
    perfilCoord = "SI";
}
if (q53Util.isPerfil(q53_perfil, q53Constantes.PERFIL_ADMO)) {
    perfilAdmin = "SI";
}
%>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title> itourbask </title>
</head>
<body>

	<FORM name="frm2" action="<%=url%>" method="post">
	    <INPUT type="hidden" name="cmbRepositorios" value="<%=repo_artus%>"> 
	    <INPUT type="hidden" name="username" value="<%=q53_artus%>">
	    <INPUT type="hidden" name="password" value="<%=password%>"> 
	    <INPUT type="hidden" name="repository" value="<%=repo_artus%>"> 
	    <INPUT type="hidden" name="txtCodUsuario" value="<%=q53_usuario%>">
		<INPUT type="hidden" name="txtCodIdioma" value="<%=q53_idioma%>">
		<INPUT type="hidden" name="txtCodOficina" value="<%=q53_oficina%>">
		<INPUT type="hidden" name="perfilUser" value="<%=perfilUser%>">
		<INPUT type="hidden" name="perfilCoord" value="<%=perfilCoord%>">
		<INPUT type="hidden" name="perfilAdmin" value="<%=perfilAdmin%>">
		<INPUT type="hidden" name="q53_perfil" value="<%=q53_perfil%>">
		<INPUT type="hidden" name="ssoId" value="<%=q53_usuario%>">
		<INPUT type="hidden" name="locale" value="<%=idioma_folletos%>">
	</FORM>
	
	<script type="text/javascript">
		document.frm2.submit();
	</script>

</body>
</html>